; Automatic Login to Starcraft 2 Script 1.4
; This script logs in automatically (acts as "Remember Password" feature)
; so that you don't need to enter your password each and every time you launch the game

; It requires Starcraft 2 to be installed on a PC (not a Mac)
; It currently works for singular profiles only
; If starcraft 2 needs to update itself the script will not run and you can rerun this script

; Source: http://www.autohotkey.com/forum/topic62524.html

#Include base.ahk

; Get the status of the config.ini file
config_ini_status = % FileExist("config.ini")

if(config_ini_status == "")
{
  ; Log Error
  FormatTime, TimeString
  FileAppend, %TimeString% - Config.ini Not Found`n, error.log
  MsgBox, 262192, Config.ini Not Found, Please check config.ini is in the same directory.`n`nThis script must end now.
  Exit
  ExitApp
}

; Read config.ini key values
IniRead, sc2_location, config.ini, login_info, sc2_location
IniRead, sc2_executable, config.ini, login_info, sc2_executable
IniRead, sc2_profile_password, config.ini, login_info, sc2_profile_password
IniRead, sc2_initial_load_time_in_seconds, config.ini, login_info, sc2_initial_load_time_in_seconds

if(sc2_location == "" || sc2_executable = "" || sc2_profile_password == "" || sc2_initial_load_time_in_seconds == "")
{
  ; Log Error
  FormatTime, TimeString
  FileAppend, %TimeString% - Config.ini Misconfigured`n, error.log
  MsgBox, 262192, Config.ini Misconfigured, Failed to load configuration. Please check config.ini is configured correctly for your PC.`n`nThis script must end now.
  Exit
  ExitApp
}
else
{
  ; Log Info
  FormatTime, TimeString
  FileAppend, %TimeString% - Config.ini is Well-Formed`n, info.log
}

; Automatically Login to Starcraft 2

   Run, %sc2_executable%, %sc2_location%, max UseErrorLevel ; Run Starcraft 2 Executable

   if (ErrorLevel == "ERROR")
   {
       ; Log Error
       FormatTime, TimeString
       FileAppend, %TimeString% - Starcraft 2 Not Found`n, error.log
       MsgBox, 262192, Starcraft 2 Not Found, Failed to run Starcraft 2. Please check that config.ini is configured correctly for your PC.`n`nThis script must end now.
       Exit
       ExitApp
   }
   else
   {
      ; Starcraft 2 is running
      SetCapsLockState, Off ; Turns off capslock (to ensure the password is keyed in correctly)
      WinWait, StarCraft II,
      IfWinNotActive, StarCraft II, , WinActivate, StarCraft II,
      WinWaitActive, StarCraft II,

      ; Log Info
      FormatTime, TimeString
      FileAppend, %TimeString% - Starcraft 2 Now Running`n, info.log
      
			Sleep, 8000 ; Wait 8000 milliseconds for SC2 launcher executable to load
			Send {ENTER} ; Launch SC2 game from launcher

      wait_in_milliseconds := (sc2_initial_load_time_in_seconds * 1000)

      Sleep, %wait_in_milliseconds% ; Wait X milliseconds for executable to load (will depend on the speed it loads on your PC)
      SendInput, {Raw}%sc2_profile_password% ; Types in your password into a text field

      Send {ENTER} ; Connect
      Sleep, 3000 ; Wait 3 seconds for GUI to load
      Send {ENTER} ; Login
      ; You have been logged in

      ; Log Info
      FormatTime, TimeString
      FileAppend, %TimeString% - Attempted Starcraft 2 Login`n, info.log
   }

   Exit
   ExitApp

; Created by Deanoman on the 15th of March, 2013