; Settings App 1.4

#Include base.ahk

; Get the status of the config.ini file
config_ini_status = % FileExist("config.ini")

if(config_ini_status == "")
{
  ; Log Error
  FormatTime, TimeString
  FileAppend, %TimeString% - Config.ini Not Found`n, error.log
  MsgBox, 262192, Config.ini Not Found, Please check config.ini is in the same directory.`n`nThis script must end now.
  Exit
  ExitApp
}

; Read config.ini key values
IniRead, sc2_location, config.ini, login_info, sc2_location
IniRead, sc2_profile_password, config.ini, login_info, sc2_profile_password
IniRead, sc2_initial_load_time_in_seconds, config.ini, login_info, sc2_initial_load_time_in_seconds
IniRead, sc2_executable, config.ini, login_info, sc2_executable

  if(sc2_location == "ERROR" || sc2_profile_password == "ERROR" || sc2_initial_load_time_in_seconds == "ERROR")
  {
    FormatTime, TimeString
    FileAppend, %TimeString% - Config.ini is Malformed. Settings could not be Loaded`n, error.log
    MsgBox, 262192, Config.ini is Malformed, Please check config.ini contains settings.`n`nThis script must end now, settings could not be loaded.
    Exit
    ExitApp
  }

Gui, Add, Picture, x0 y0 w343 h140, scriptlogo.jpg
Gui, Add, GroupBox, x5 y150 w333 h180 , Settings
Gui, Add, Text, x12 y170 w320 h20 , Starcraft 2 Location
Gui, Add, Edit, x12 y190 w320 h20 vLocation, %sc2_location%

Gui, Add, Text, x12 y220 w320 h20, Starcraft 2 Password
Gui, Add, Edit, x12 y240 w320 h20 +Password vPassword, %sc2_profile_password%

Gui, Add, Text, x12 y270 w320 h20, Starcraft 2 Initial Load Time (in seconds)
Gui, Add, Edit, x12 y290 w50, h20
Gui, Add, UpDown, vLoadTimeUpDown Range1-60, %sc2_initial_load_time_in_seconds%
Gui, Add, Button, x81 y290 w80 h25 -Wrap, &Cancel
Gui, Add, Button, x166 y290 w80 h25 -Wrap, &Save
Gui, Add, Button, x251 y290 w80 h25 -Wrap, &Login
Gui, Show, h340 w343, Auto Login Settings
Return

ButtonCancel:
  ExitApp

ButtonSave:
  ; Get the status of the config.ini file
  config_ini_status = % FileExist("config.ini")

  if(config_ini_status == "")
  {
    ; Log Error
    FormatTime, TimeString
    FileAppend, %TimeString% - Config.ini Not Found. Settings could not be Saved`n, error.log
    MsgBox, 262192, Config.ini Not Found, Please check config.ini is in the same directory.`n`nThis script must end now, settings could not be saved.
    Exit
    ExitApp
  }

		Gui, Submit, NoHide
    ControlGetText, OutputVar1, Edit1
    ControlGetText, OutputVar2, Edit2
    ControlGetText, OutputVar3, Edit3

  if(OutputVar1 != "" && OutputVar2 != "" && OutputVar3 != "")
  {
    ; Write INI Changes
    IniWrite, %OutputVar1%, config.ini, login_info, sc2_location
    IniWrite, %OutputVar2%, config.ini, login_info, sc2_profile_password
    IniWrite, %OutputVar3%, config.ini, login_info, sc2_initial_load_time_in_seconds
    Msgbox, 262208, Settings Saved, Your settings have been saved to config.ini
  }
  else
  {
    ; Log Error
    FormatTime, TimeString
    FileAppend, %TimeString% - Settings could not be Saved`n, error.log
    MsgBox, 262192, Settings Invalid, Please check settings entered into application, settings could not be saved.
  }
  Return

ButtonLogin:
  Run, SC2_auto_login.exe, , max UseErrorLevel ; Run Login

   if (ErrorLevel == "ERROR")
   
   {
       ; Log Error
       FormatTime, TimeString
       FileAppend, %TimeString% - SC2_auto_login.exe Not Found`n, error.log
       MsgBox, 262192, SC2_auto_login.exe Not Found, Failed to run Starcraft 2 Login Tool (SC2_auto_login.exe).
   }

  Return

GuiClose:
GuiEscape:
ExitApp

; Created by Deanoman on the 15th of March, 2013